Use the search and browse feature to view Kepware's repository of more than 500 Knowledge Base articles. Narrow your results or type your query into the search field below.

Search Solutions Results By: View All Solutions

Kepware Knowledge Base: Solution


Wonderware Tech Alert 106 and US-CERT Vulnerability Note VU#596268 for SuiteLink


Last Update: 11/12/2018

Wonderware has produced a patch that resolves this vulnerability. To access the patch and its documentation, users may need a support user account on the company's website.

The only Kepware product affected by this patch is KEPServerEX with SuiteLink. KEPServerEX will automatically install the SuiteLink option upon detecting certain Wonderware software components on the PC. The patch is for these Wonderware software components; not for KEPServerEX itself. To verify whether the patch is installed, refer to the instructions below.

  1. In the Control Panel, open Add/Remove Programs.
  2. Locate the entry "SuiteLink 2.0 Patch 1" or "SuiteLink."

Note: If the entry displayed is "SuiteLink 2.0 Patch 1," the patch is installed. If the entry displayed is "SuiteLink," click once to select it and then click Support Information | Support Info. If the version number is 2.0.001 or higher, the patch is installed.

To verify whether the patch is required when it is not installed, refer to the instructions below.

  1. In the Command prompt, enter "slsping <hostname> <ApplicationName>" where <hostname> is the name of the node and <ApplicationName> is the name of any WW application installed in the node. For example, if KEPServerEX is installed on the local machine, users should type "slsping localhost servermain".
  2. If the response from the command is "Reached WW directory Service (SLSSVC) …" or "Success! <ApplicationName> speaks SuiteLink…" then SuiteLink is installed on the node. In that case, users should apply the patch on that node.
Related Products
KEPServerEX